Subject: Re: bug#58216: 28.2; New help-for-help hides user key bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 Oct 2022 16:07:54 +0200

Stefan Kangas <[email-masked]> writes:

>> That's what he wants to have fixed -- he wants to see `C-h M' in that
>> buffer.
>
> So this is a feature request?  I interpreted it as a regression, based
> on this in the original bug report:
>
>     The new `help-for-help' bound to C-h C-h hides the user's key bindings.
>
>     I have bound a couple of commands to the C-h prefix to provide some
>     personalized help and occasionally I would type C-h C-h to double check
>     which commands I have bound, for some of the less frequently used ones.
>
>     Previously, this would show the normal prefix help which describes all
>     keys in the prefix map.  However, the new `help-for-help' does not do
>     so.

It's a regression that `C-h M' isn't shown any more, and he requests a
new feature that would show it in a way that fits the new `C-h C-h'
display.